tigase.jaxmpp.core.client

## Class Connector.StanzaReceivedHandler.StanzaReceivedEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<Connector.StanzaReceivedHandler>
    - - tigase.jaxmpp.core.client.Connector.StanzaReceivedHandler.StanzaReceivedEvent

- Enclosing interface:
    Connector.StanzaReceivedHandler

      public static class Connector.StanzaReceivedHandler.StanzaReceivedEvent
      extends JaxmppEvent<Connector.StanzaReceivedHandler>

  Fired when stanza is received.

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StanzaReceivedEvent(SessionObject sessionObject, StreamPacket stanza)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(Connector.StanzaReceivedHandler handler)` Invokes handlers method.
    `StreamPacket` | `getStanza()`
    `String` | `toString()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StanzaReceivedEvent

          public StanzaReceivedEvent(SessionObject sessionObject,
                                     StreamPacket stanza)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### dispatch

          protected void dispatch(Connector.StanzaReceivedHandler handler)

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<Connector.StanzaReceivedHandler>`
      Parameters:
        `handler` - handler

    - #### getStanza

          public StreamPacket getStanza()

Copyright © 2006–2017 Tigase. All rights reserved.